MatchMaker defines a strategy for matching players.

It is responsible to produce new matches until it considers that there is a winner according to the strategy followed.

### Hierarchy

- default

### Implemented by

- default
- default

## Index

### Methods

- getRanking
- getRemainingMatches
- isFinished
- updateRealtimeStats
- updateStats

## Methods

### getRanking

- getRanking(): PlayerRank[]

- - Defined in lobby/tournament/matchmaker/MatchMaker.ts:14

  #### Returns PlayerRank[]

### getRemainingMatches

- getRemainingMatches(): Match[]

- - Defined in lobby/tournament/matchmaker/MatchMaker.ts:13

  #### Returns Match[]

### isFinished

- isFinished(): boolean

- - Defined in lobby/tournament/matchmaker/MatchMaker.ts:10

  #### Returns boolean

### updateRealtimeStats

- updateRealtimeStats(match: Match): void

- - Defined in lobby/tournament/matchmaker/MatchMaker.ts:11

  #### Parameters

  - ##### match: Match

  #### Returns void

### updateStats

- updateStats(allMatches: Match[], tournamentFinished?: boolean): void | Match[]

- - Defined in lobby/tournament/matchmaker/MatchMaker.ts:12

  #### Parameters

  - ##### allMatches: Match[]

  - ##### Optional tournamentFinished: boolean

  #### Returns void | Match[]

Generated using TypeDoc